curl --request GET \
--url https://api.augustus.com/v1/counterparties/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/counterparties/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "counterparty",
"name": "<string>",
"entity_type": "business",
"physical_address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country_code": "DE"
},
"financial_address": {
"type": "iban",
"iban": "DE89370400440532013000",
"account_holder_name": "Acme Sandbox Ltd.",
"bic": "COBADEFFXXX"
},
"date_of_birth": "2023-12-25",
"is_self_owned": true,
"blocked": true,
"metadata": {
"invoice_id": "INV-2026-0042"
}
}Retrieve counterparty
Retrieves a counterparty owned by the merchant.
Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the counterparty.
Response
The counterparty resource
Unique identifier of the counterparty.
Resource type discriminator.
counterparty Name of the counterparty, or null if not recorded.
Whether the counterparty is a business or an individual.
business, individual Physical address of the counterparty, or null if not recorded.
Show child attributes
Show child attributes
Financial address of the counterparty.
- IBAN
- UK Sort Code
- ABA
- BIC
- Wallet
Show child attributes
Show child attributes
{
"type": "iban",
"iban": "DE89370400440532013000",
"account_holder_name": "Acme Sandbox Ltd.",
"bic": "COBADEFFXXX"
}
Date of birth in YYYY-MM-DD format, or null if not recorded.
Whether the counterparty is self-owned. false if the counterparty is not owned by you, true if it is.
Whether payments to or from this counterparty are currently blocked.
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
Was this page helpful?